Name: perl-Set-Object
Version: 1.42
Release:    1%{?dist}
License: Artistic 2.0
Summary: Set of objects and strings
URL: https://metacpan.org/release/Set-Object
Source0: https://cpan.metacpan.org/modules/by-module/Set/Set-Object-%{version}.tar.gz
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: gcc
BuildRequires: make
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(AutoLoader)
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(overload)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(Config)
BuildRequires: perl(constant)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Test::More)
BuildRequires: perl(Moose)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(threads)
BuildRequires: perl(threads::shared)
BuildRequires: perl(warnings)
Requires: perl(Scalar::Util)

%description
This modules implements a set of objects, that is, an unordered
collection of objects without duplication.

The term *objects* is applied loosely - for the sake of Set::Object,
anything that is a reference is considered an object.

%prep
%setup -q -n Set-Object-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}

find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes.pod META.yml README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Set*
%{_mandir}/man3/*.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.42-1
- initial build
